import React, { useContext, useEffect } from 'react';
import { useNavigate } from 'react-router-dom';
import { AuthContext } from '../contexts';

export const Logout: React.FC = () => {
  const context = useContext(AuthContext);
  const navigate = useNavigate();

  useEffect(() => {
    sessionStorage.removeItem('token');
    context.setAuth({
      valid: false,
      user: {
        vatsimId: '',
        fullName: '',
        administrator: false,
        airportConfigurationAccess: [],
      },
    });
    navigate('/');
  // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);

  return <></>;
}
